OpenTTD Source: FallbackParagraphLayoutFactory Class Reference

OpenTTD Source 14.0-beta3

Public Types | Static Public Member Functions | Static Public Attributes
FallbackParagraphLayoutFactory Class Reference

Helper class to construct a new FallbackParagraphLayout. More...

`#include <gfx_layout_fallback.h>`

## Public Types
typedef char32_t | CharType
| Helper for GetLayouter, to get the right type.

## Static Public Member Functions
static ParagraphLayouter * | GetParagraphLayout (char32_t *buff, char32_t *buff_end, FontMap &fontMapping)
| Get the actual ParagraphLayout for the given buffer. More...
static size_t | AppendToBuffer (char32_t *buff, const char32_t *buffer_last, char32_t c)
| Append a wide character to the internal buffer. More...

## Static Public Attributes
static const bool | SUPPORTS_RTL = false
| Helper for GetLayouter, to get whether the layouter supports RTL.

## Detailed Description

Helper class to construct a new FallbackParagraphLayout.

Definition at line 18 of file gfx_layout_fallback.h.

## Member Function Documentation

## ◆ AppendToBuffer()

size_t FallbackParagraphLayoutFactory::AppendToBuffer | ( | char32_t * | buff,
|  | const char32_t * | buffer_last,
|  | char32_t | c
| ) |  |
| static

Append a wide character to the internal buffer.

Parameters

  buff | The buffer to append to.
  buffer_last | The end of the buffer.
  c | The character to add.

Returns
  The number of buffer spaces that were used.

Definition at line 97 of file gfx_layout_fallback.cpp.

## ◆ GetParagraphLayout()

ParagraphLayouter * FallbackParagraphLayoutFactory::GetParagraphLayout | ( | char32_t * | buff,
|  | char32_t * | buff_end,
|  | FontMap & | fontMapping
| ) |  |
| static

Get the actual ParagraphLayout for the given buffer.

Parameters

  buff | The begin of the buffer.
  buff_end | The location after the last element in the buffer.
  fontMapping | THe mapping of the fonts.

Returns
  The ParagraphLayout instance.

Definition at line 85 of file gfx_layout_fallback.cpp.

The documentation for this class was generated from the following files:

- src/gfx_layout_fallback.h
- src/gfx_layout_fallback.cpp